package com.jz.dmp.azkaban.dao;

import com.jz.dmp.azkaban.entity.ProjectFlows;
import com.jz.dmp.modules.controller.azkaban.bean.ProjectFlowsDto;
import com.jz.dmp.modules.controller.bean.IndexProjAzkabanStatuDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListDto;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevExamplesListReq;
import com.jz.dmp.modules.controller.dataOperation.bean.DataDevTaskListReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 数据运维--任务实例
 *
 * @author Bellamy
 * @return
 * @since 2021-01-14
 */
public interface ExecutionFlowsMapper {

    /**
     * 数据运维-数据开发实例列表分页查询
     *
     * @return
     * @author Bellamy
     * @since 2021-01-14
     */
    List<DataDevExamplesListDto> queryDevExamplesListPage(Map saveParams) throws Exception;
}
