package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: DataSourceNameListDto
 * @Description: 获取数据源和目标数据源下拉框返回参数对象
 * @Author：Bellamy
 * @Date 2021/01/06
 * @Version 1.0
 */
@ApiModel(value = "获取数据源和目标数据源下拉框返回参数", description = "获取数据源和目标数据源下拉框返回参数")
public class DataSourceNameListDto {
    /**
     * 数据源id
     */
    @ApiModelProperty(value = "数据源id")
    private Long id;

    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String  datasourceName;

    /**
     * 数据源描述
     */
    @ApiModelProperty(value = "数据源描述")
    private String  datasourceDesc;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }


}
