package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;

import com.jz.dmp.modules.model.DmpDevelopTask;

public class MyDmpDevelopTaskConverter {
	
	private static MyDmpDevelopTaskConverter instance;
	
	private MyDmpDevelopTaskConverter() {};
	
	public synchronized static MyDmpDevelopTaskConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpDevelopTaskConverter();
		}
		
		return instance;
	}
	
	public DmpDevelopTaskDto domain2dto(DmpDevelopTask dmpDevelopTask) {
		DmpDevelopTaskDto dmpDevelopTaskDto = new DmpDevelopTaskDto();
		BeanUtils.copyProperties(dmpDevelopTask, dmpDevelopTaskDto);
		
		return dmpDevelopTaskDto;
	}
	
	public List<DmpDevelopTaskDto> domain2dto(List<DmpDevelopTask> dmpDevelopTasks) {
		List<DmpDevelopTaskDto> dmpDevelopTaskDtos = new ArrayList<DmpDevelopTaskDto>();
		dmpDevelopTasks.stream().forEach(x -> {
			dmpDevelopTaskDtos.add(domain2dto(x));
		});
		
		return dmpDevelopTaskDtos;
	}

}
