package com.jz.dmp.modules.controller.dataService.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: DmpOrgMangeService
 * @Description: 组织管理列表查询请求体
 * @Author: Bellamy
 * @Date 2021/1/16
 * @Version 1.0
 */
@Data
@ApiModel("组织管理列表查询请求体")
public class OrganizationManageListQueryReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织编码(组织唯一标识)")
    private String orgCode;

}
