package com.jz.dmp.modules.controller.dataService.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: ApiInterfaceInfoListReq
 * @Description: 发布的API-APi列表请求对象
 * @Author: Bellamy
 * @Date 2021/1/18
 * @Version 1.0
 */
@Data
@ApiModel("发布的API-APi列表请求对象")
public class ApiInterfaceInfoListReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "状态:SUCCEED 请求成功, FAIL 请求失败")
    private String status;
    @ApiModelProperty(value = "ApiKey")
    private String apiKey;
}
