package com.jz.dmp.modules.controller.dataService.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: AuthListInfoReq
 * @Description: 授权认证信息列表请求对象
 * @Author: Bellamy
 * @Date 2021/1/18
 * @Version 1.0
 */
@Data
@ApiModel("授权认证信息列表请求对象")
public class AuthListInfoReq extends BasePageBean implements Serializable {

    private static final long serialVersionUID = 6807722745717042029L;

    @ApiModelProperty(value = "apiKey api唯一标识", required = false)
    private String apiKey;

    @ApiModelProperty(value = "授权码", required = false)
    private String authCode;

    @ApiModelProperty(value = "API名称", required = false)
    private String apiName;

}
